<?php

/**
 * @file
 * Webform expectation.
 */

use Drupal\Tests\acquia_contenthub\Kernel\Stubs\CdfExpectations;

$data = [
  'uuid' => '035fd1a3-c6a4-449e-937b-e333eb4693b7',
  'langcode' => 'en',
  'status' => 'open',
  'dependencies' => [],
  'weight' => 0,
  'uid' => 1,
  'template' => FALSE,
  'archive' => FALSE,
  'id' => 'test_webform',
  'title' => 'Test webform',
  'description' => 'Description',
  'category' => 'Other',
  'elements' => 'checkbox:
  \'#type\': checkbox
  \'#title\': Checkbox
text:
  \'#type\': textfield
  \'#title\': Text
  \'#multiple\': true
range:
  \'#type\': range
  \'#title\': Range
  \'#min\': 5
  \'#step\': -14
  \'#output\': right',
  'css' => '',
  'javascript' => '',
  'settings' => [
    'ajax' => FALSE,
    'ajax_scroll_top' => 'form',
    'ajax_progress_type' => '',
    'ajax_effect' => '',
    'ajax_speed' => NULL,
    'page' => TRUE,
    'page_submit_path' => '/webform/test-alias',
    'page_confirm_path' => '',
    'page_theme_name' => '',
    'form_title' => 'both',
    'form_submit_once' => FALSE,
    'form_exception_message' => '',
    'form_open_message' => '',
    'form_close_message' => '',
    'form_previous_submissions' => TRUE,
    'form_confidential' => FALSE,
    'form_confidential_message' => '',
    'form_disable_remote_addr' => FALSE,
    'form_convert_anonymous' => FALSE,
    'form_prepopulate' => FALSE,
    'form_prepopulate_source_entity' => FALSE,
    'form_prepopulate_source_entity_required' => FALSE,
    'form_prepopulate_source_entity_type' => '',
    'form_reset' => FALSE,
    'form_disable_autocomplete' => FALSE,
    'form_novalidate' => FALSE,
    'form_disable_inline_errors' => FALSE,
    'form_required' => FALSE,
    'form_unsaved' => FALSE,
    'form_disable_back' => FALSE,
    'form_submit_back' => FALSE,
    'form_autofocus' => FALSE,
    'form_details_toggle' => FALSE,
    'form_access_denied' => 'default',
    'form_access_denied_title' => '',
    'form_access_denied_message' => '',
    'form_access_denied_attributes' => [],
    'form_file_limit' => '',
    'share' => FALSE,
    'share_node' => FALSE,
    'share_theme_name' => '',
    'share_title' => TRUE,
    'share_page_body_attributes' => [],
    'submission_label' => '',
    'submission_log' => FALSE,
    'submission_views' => [],
    'submission_views_replace' => [],
    'submission_user_columns' => [],
    'submission_user_duplicate' => FALSE,
    'submission_access_denied' => 'default',
    'submission_access_denied_title' => '',
    'submission_access_denied_message' => '',
    'submission_access_denied_attributes' => [],
    'submission_exception_message' => '',
    'submission_locked_message' => '',
    'submission_excluded_elements' => [],
    'submission_exclude_empty' => FALSE,
    'submission_exclude_empty_checkbox' => FALSE,
    'previous_submission_message' => '',
    'previous_submissions_message' => '',
    'autofill' => FALSE,
    'autofill_message' => '',
    'autofill_excluded_elements' => [],
    'wizard_progress_bar' => TRUE,
    'wizard_progress_pages' => FALSE,
    'wizard_progress_percentage' => FALSE,
    'wizard_progress_link' => FALSE,
    'wizard_progress_states' => FALSE,
    'wizard_auto_forward' => TRUE,
    'wizard_auto_forward_hide_next_button' => FALSE,
    'wizard_keyboard' => TRUE,
    'wizard_start_label' => '',
    'wizard_preview_link' => FALSE,
    'wizard_confirmation' => TRUE,
    'wizard_confirmation_label' => '',
    'wizard_track' => '',
    'wizard_prev_button_label' => '',
    'wizard_next_button_label' => '',
    'wizard_toggle' => FALSE,
    'wizard_toggle_show_label' => '',
    'wizard_toggle_hide_label' => '',
    'preview' => 0,
    'preview_label' => '',
    'preview_title' => '',
    'preview_message' => '',
    'preview_attributes' => [],
    'preview_excluded_elements' => [],
    'preview_exclude_empty' => TRUE,
    'preview_exclude_empty_checkbox' => FALSE,
    'draft' => 'none',
    'draft_multiple' => FALSE,
    'draft_auto_save' => FALSE,
    'draft_saved_message' => '',
    'draft_loaded_message' => '',
    'draft_pending_single_message' => '',
    'draft_pending_multiple_message' => '',
    'confirmation_type' => 'page',
    'confirmation_title' => '',
    'confirmation_message' => '',
    'confirmation_url' => '',
    'confirmation_attributes' => [],
    'confirmation_back' => TRUE,
    'confirmation_back_label' => '',
    'confirmation_back_attributes' => [],
    'confirmation_exclude_query' => FALSE,
    'confirmation_exclude_token' => FALSE,
    'confirmation_update' => FALSE,
    'limit_total' => NULL,
    'limit_total_interval' => NULL,
    'limit_total_message' => '',
    'limit_total_unique' => FALSE,
    'limit_user' => NULL,
    'limit_user_interval' => NULL,
    'limit_user_message' => '',
    'limit_user_unique' => FALSE,
    'entity_limit_total' => NULL,
    'entity_limit_total_interval' => NULL,
    'entity_limit_user' => NULL,
    'entity_limit_user_interval' => NULL,
    'purge' => 'none',
    'purge_days' => NULL,
    'results_disabled' => FALSE,
    'results_disabled_ignore' => FALSE,
    'results_customize' => FALSE,
    'token_view' => FALSE,
    'token_update' => FALSE,
    'token_delete' => FALSE,
    'serial_disabled' => FALSE,
  ],
  'access' => [
    'create' => [
      'roles' => [
        0 => 'anonymous',
        1 => 'authenticated',
      ],
      'users' => [],
      'permissions' => [],
    ],
    'view_any' => [
      'roles' => [],
      'users' => [],
      'permissions' => [],
    ],
    'update_any' => [
      'roles' => [],
      'users' => [],
      'permissions' => [],
    ],
    'delete_any' => [
      'roles' => [],
      'users' => [],
      'permissions' => [],
    ],
    'purge_any' => [
      'roles' => [],
      'users' => [],
      'permissions' => [],
    ],
    'view_own' => [
      'roles' => [],
      'users' => [],
      'permissions' => [],
    ],
    'update_own' => [
      'roles' => [],
      'users' => [],
      'permissions' => [],
    ],
    'delete_own' => [
      'roles' => [],
      'users' => [],
      'permissions' => [],
    ],
    'administer' => [
      'roles' => [],
      'users' => [],
      'permissions' => [],
    ],
    'test' => [
      'roles' => [],
      'users' => [],
      'permissions' => [],
    ],
    'configuration' => [
      'roles' => [],
      'users' => [],
      'permissions' => [],
    ],
  ],
  'handlers' => [],
  'variants' => [],
];

$expectations = ['035fd1a3-c6a4-449e-937b-e333eb4693b7' => new CdfExpectations($data)];

return $expectations;
